#
# Conditional build:
%bcond_with	tests		# build without tests
#
%define		kdeframever	5.67
%define		qtver		5.9.0
%define		kfname		bluez-qt
Summary:	Qt wrapper for Bluez 5 DBus API
Name:		kf5-%{kfname}
Version:	5.67.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	4bf38a4919ea975deb71197c57a8edf0
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Network-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
%if %{with tests}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
%endif
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt wrapper for Bluez 5 DBus API.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%{?with_tests:%ninja_build test}

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%{_datadir}/qlogging-categories5/bluez.categories
%attr(755,root,root) %{_libdir}/libKF5BluezQt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libKF5BluezQt.so.6
/lib/udev/rules.d/61-kde-bluetooth-rfkill.rules
%dir %{_libdir}/qt5/qml/org/kde/bluezqt
%{_libdir}/qt5/qml/org/kde/bluezqt/qmldir
%{_libdir}/qt5/qml/org/kde/bluezqt/DevicesModel.qml
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/bluezqt/libbluezqtextensionplugin.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libKF5BluezQt.so
%{_includedir}/KF5/BluezQt
%{_includedir}/KF5/bluezqt_version.h
%{_libdir}/cmake/KF5BluezQt
%{_libdir}/qt5/mkspecs/modules/qt_BluezQt.pri
%changelog
* Mon Feb 17 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-bluez-qt.git;a=log;h=master

* Mon Feb 17 2020 Łukasz Maśko <lmasko@pld-linux.org> bb97581
- Up to 5.67.0.

* Mon Dec 30 2019 Łukasz Maśko <lmasko@pld-linux.org> caae20b
- Up to 5.65.0.

* Tue Nov 26 2019 Łukasz Maśko <lmasko@pld-linux.org> f250d63
- Up to 5.62.0.

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> e9a8dfc
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> a960566
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 2c43dc5
- updated to 5.53.0

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 26c7066
- updated to 5.39.0

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 1c6852a
- updated to 5.24.0; fetch sources

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> f30baa5
- updated to 5.23

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> d88b098
- updated to 5.19.0

* Mon Sep 07 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3db9c68
- rel 2; add qmldir file

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> cf46230
- initial

